#global         debug_package  #{nil}

%define         major           0
%define         libname         %mklibname %{name} %{major}
%define         libname_devel   %mklibname -d %{name}
%define         libname_static  %mklibname -d -s %{name}

%define         gccinstall_dir  %(LC_ALL=C %__cc --print-search-dirs | %__grep install | %__awk '{print $2}')
%define         fincludedir    %{gccinstall_dir}/finclude

%define         subrel 1

Name:           pg2plplot
Summary:        Facilitating the transition from PGPlot to PLplot
Version:        5.13.0
Release:        %mkrel 3
License:        GPLv3+
Group:          Development/C
Source0:        http://sourceforge.net/projects/pg2plplot/files/pg2plplot-%{version}.tar.gz
Patch1:         pg2plplot-5.13.0-cmake-link.patch
Patch2:         pg2plplot-5.13.0-modulesdir.patch
#add soname version 0
Patch4:         pg2plplot-5.13.0-soname.patch

URL:            http://pg2plplot.sourceforge.net/

BuildRequires:  pkgconfig(plplot)
BuildRequires:  cmake
BuildRequires:  gcc-gfortran = 8.4.0
Requires:       %libname = %{version}-%{release}

%description
PG2PLplot is code intended to help the transition from
Fortran code linked against PGPlot to linking it against
PLplot. Reasons why one might want to make that transition is that the
latter is open-source code and actively maintained, while the output
looks better and can be obtained in more-modern formats. However, not
everything that can be done with PGPlot can also be done with PLplot
(yet). Examples that spring into mind are keeping an X-window open
after the code finished, and interactively reading coordinates from an
X-window.



%package -n %{libname}
Summary:  A library for replacing calls to PGPlot by calls to PLplot
Group:    System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
The PG2PLplot library facilitates the transition from Fortran code
linked against PGPlot to linking it against PLplot.



%package -n %{libname_devel}
Summary:  Development files for pg2plplot
Group:    Development/C
Requires: %{libname} = %{version}-%{release}
Provides: pg2plplot-devel = %{version}-%{release}
Provides: libpg2plplot-devel = %{version}-%{release}

%description -n %libname_devel
%{summary}.



%package -n %{libname_static}
Summary:  Static development files for pg2plplot
Group:    Development/C
Provides: pg2plplot-static-devel = %{version}-%{release}
Provides: libpg2plplot-static-devel = %{version}-%{release}

%description -n %libname_static
%{summary}.


%prep
%setup -q
%autopatch -p1



%build
export MODULEDIR=%{fincludedir}
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_STATIC_LIB:BOOL=ON
       

       
%__make

%install
cd build
%makeinstall_std



#relocate fortran modules to the right place
%__mkdir_p %{buildroot}%{fincludedir}
pushd %{buildroot}/%{_includedir}
%__mv pg2plplot  %{buildroot}%{fincludedir}/pg2plplot
popd

%__chmod 0755 %{buildroot}%{_libdir}/*.so.*


%files
%doc VERSION LICENCE
%{_datadir}/pg2plplot/rgb.txt

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc CHANGELOG
%{_libdir}/*.so
%dir %{fincludedir}/pg2plplot
%{fincludedir}/pg2plplot/*.mod

%files -n %{libname_static}
%{_libdir}/*.a




%changelog
* Thu Mar 05 2020 eatdirt <eatdirt> 5.13.0-3.1.mga7
+ Revision: 1554174
- Rebuild for new gcc mga#26294

* Sun Sep 23 2018 umeabot <umeabot> 5.13.0-3.mga7
+ Revision: 1300196
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 eatdirt <eatdirt> 5.13.0-2.mga7
+ Revision: 1246639
- Rebuild for new gfortran

* Tue Apr 03 2018 eatdirt <eatdirt> 5.13.0-1.mga7
+ Revision: 1214984
- Upgrade to new version 5.13.0

* Mon Sep 11 2017 tv <tv> 0.4.1-3.mga7
+ Revision: 1152747
- rebuild for new libgfortran

* Fri Feb 10 2017 eatdirt <eatdirt> 0.4.1-2.mga6
+ Revision: 1085577
- Upgrade to version 0.4.1

* Thu Aug 04 2016 eatdirt <eatdirt> 0.3.1-4.mga6
+ Revision: 1044457
- Rebuild for new gfortran (module versioning)

* Fri Feb 19 2016 umeabot <umeabot> 0.3.1-3.mga6
+ Revision: 970210
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 eatdirt <eatdirt> 0.3.1-2.mga6
+ Revision: 884996
- Fix missing requires

* Tue Sep 29 2015 eatdirt <eatdirt> 0.3.1-1.mga6
+ Revision: 884978
- Upgrade to version 0.3.1, fix policy breakages

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 743320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 687073
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 eatdirt <eatdirt> 0.3.0-4.mga5
+ Revision: 596748
- Rebuild for new plplot

* Mon Oct 21 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 538757
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 0.3.0-2.mga4
+ Revision: 490369
- fix plwid -> plwidth
- rebuild with new plplot

* Thu Jul 25 2013 joequant <joequant> 0.3.0-1.mga4
+ Revision: 457967
- update to 0.3.0
- fix bad behavior if pngcairo is input as device
- use the same /usr/share file conventions as upstream
- imported package pg2plplot

